Summary: XDELTA - version control system
Name: xdelta
%define version 0.15
Version: %{version}
Release: 1
Copyright: GPL
Group: Development/Version Control
Source: ftp://www.xcf.berkeley.edu/pub/jmacd/xdelta-%{version}.tar.gz
BuildRoot: /tmp/xdelta-root
Patch0: xdelta-syserrlist.patch

%changelog
* Sun Apr  5 1998 Karsten Weiss <karsten@addx.au.s.shuttle.de>
- upgraded to 0.15.
- added all doc/text files.
- fixed a typo in the spec file.

* Sat Dec 13 1997 Christian 'Dr. Disk' Hechelmann <drdisk@ds9.au.s.shuttle.de>
- added RPM_BUILD_ROOT sanity check
- The prefix used with configure should _never_ _ever_ contain the build root.
  fixed.
- made a devel subpackage

* Sun Oct 26 1997 Arne Coucheron <arneco@online.no>
- First release, v0.14

%description
XDELTA (`X' for XCF) is a version-control library and file-format designed as
a replacement for RCS.  The XDELTA library performs its work independently of
the actual file-format used to encode the version-file and is intended to be
used by various higher-level programs such as PRCS.

XDELTA uses a binary file-delta algorithm to replace the standard diff
program used by RCS.

%package devel
Summary: The XDELTA development environment
Group: Development/Libraries

%description devel
The static version of the XDELTA library and includes needed for development.

%prep
%setup
%patch0 -p1

%build
./configure --prefix=/usr
make "CFLAGS=$RPM_OPT_FLAGS"

%install
[ -n "$RPM_BUILD_ROOT" -a -n "`echo $RPM_BUILD_ROOT|sed -e '#/##g'`" ] || exit 1
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/info
make prefix=$RPM_BUILD_ROOT/usr install-strip

install doc/xdelta-rcs.info $RPM_BUILD_ROOT/usr/info
gzip -9nf $RPM_BUILD_ROOT/usr/info/*.info

%clean
[ -n "$RPM_BUILD_ROOT" -a -n "`echo $RPM_BUILD_ROOT|sed -e '#/##g'`" ] || exit 1
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%attr(-, root, root) %doc ANNOUNCE AUTHORS COPYING ChangeLog NEWS README README2 TODO doc/xdelta.txt doc/cksum.txt
%attr(755, root, bin) /usr/bin/*
%attr(644, root, root) /usr/info/*
%attr(644, root, root) /usr/man/man1/*
%attr(755, root, bin) /usr/lib/libxdelta.so.0.0.15.0
%attr(777, root, bin) /usr/lib/libxdelta.so.0

%files devel
%attr(644, root, root) /usr/include/*
%attr(777, root, root) /usr/lib/libxdelta.so
%attr(644, root, root) /usr/lib/libxdelta.a
%attr(644, root, root) /usr/lib/libxdelta.la
